relaxngcc.grammar

## Class SimpleNameClass

- java.lang.Object
- - relaxngcc.grammar.NameClass
  - - relaxngcc.grammar.SimpleNameClass

    public class SimpleNameClass
    extends NameClass

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`java.lang.String` `localName`
`java.lang.String` `nsUri`

### Constructor Summary

Constructors
Constructor and Description
`SimpleNameClass(java.lang.String _nsUri, java.lang.String _localName)`

### Method Summary

Methods
`java.lang.Object` `apply(NameClassFunction f)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nsUri

    public final java.lang.String nsUri

#### localName

    public final java.lang.String localName

### Constructor Detail

#### SimpleNameClass

    public SimpleNameClass(java.lang.String _nsUri,
                   java.lang.String _localName)

### Method Detail

#### apply

    public java.lang.Object apply(NameClassFunction f)

Specified by:
  `apply` in class `NameClass`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`